ant-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Steele, Richard" <r...@steelezone.net>
Subject Re: Seeking feedback on new Ivy plugin - latest status in version range
Date Sun, 27 Nov 2011 12:45:25 GMT
I am very interested!

I asked a question on this list and on stack overflow (
http://stackoverflow.com/questions/5596002/is-there-a-way-to-specify-an-ivy-dependency-using-a-dynamic-revision-but-restric)
a while back and it's clear something like this doesn't exist yet.  There
was one suggestion to use a pattern matcher but sadly I haven't had time to
try it.

Rich

On Tue, Nov 22, 2011 at 10:57 AM, Tom McGlynn <tmcglynn@ieee.org> wrote:

> Please comment on a proposed version plugin for Ivy.
>
> The release engineering team at Autonomy Southborough is interested in the
> ability to retrieve an Ivy module at a particular status within a range of
> versions.  Here are some examples of revision values using Ivy default
> statuses:
>
> [1.0,2.0].milestone - matches the latest version greater or equal to 1.0
> and lower or equal to 2.0 with status milestone
> 1.0.+.release - matches the latest sub revision 1.0.+ with status release
> 2.0.+ - matches the latest sub revision 2.0.+ with status integration
>
> The plugin would combine the capabilities and behaviors of existing version
> matchers "Sub Revision", "Latest (Status)", and "Version Range".  The name
> of the plugin would be LatestVersionRangeMatcher.
>
> Our team would like to contribute patches for code, test, and
> documentation, in hopes that it will be included in an Ivy release.  We
> believe that no plugin like this exists, and we have seen a few inquiries
> by others for something like this.
>
> Any comments on the plugin, whether one already exists, or alternatives
> would be very much appreciated.
>

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message